Package icyllis.modernui.resources

# Class ResourceParser

java.lang.Object
icyllis.modernui.resources.ResourceParser

public class ResourceParser extends Object
Parses an XML file for resources and adds them to a ResourceTable.

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Class
  Description
  `static class`
  `ResourceParser.ParsedResource`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ResourceParser()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `boolean`
  `Attr(XMLStreamReader reader, ResourceParser.ParsedResource out)`
  `boolean`
  `Attr0(XMLStreamReader reader, ResourceParser.ParsedResource out_resource, boolean weak)`
  `boolean`
  `DeclareStyleable(XMLStreamReader reader, ResourceParser.ParsedResource out_resource)`
  `static int`
  `FormatAttribute(String s)`
  `static int`
  `FormatType(String s)`
  `static int`
  `FormatTypeNoEnumOrFlags(String s)`
  `static void`
  `main(String[] args)`
  `boolean`
  `Parse(XMLStreamReader reader)`
  `boolean`
  `ParseResources(XMLStreamReader reader)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### ResourceParser

    public ResourceParser()

- ## Method Details

  - ### FormatTypeNoEnumOrFlags

    @Contract(pure=true) public static int FormatTypeNoEnumOrFlags(@NonNull String s)

  - ### FormatType

    @Contract(pure=true) public static int FormatType(@NonNull String s)

  - ### FormatAttribute

    public static int FormatAttribute(@NonNull String s)

  - ### Parse

    public boolean Parse(XMLStreamReader reader)

  - ### main

    public static void main(String[] args) throws XMLStreamException
    Throws:
      `XMLStreamException`

  - ### ParseResources

    public boolean ParseResources(XMLStreamReader reader)

  - ### Attr

    public boolean Attr(XMLStreamReader reader, ResourceParser.ParsedResource out)

  - ### Attr0

    public boolean Attr0(XMLStreamReader reader, ResourceParser.ParsedResource out_resource, boolean weak)

  - ### DeclareStyleable

    public boolean DeclareStyleable(XMLStreamReader reader, ResourceParser.ParsedResource out_resource)